---
title: "Get an eSIM assignment"
canonical: "https://bird.com/docs/api/reference/get-esim-assignment"
---

# Get an eSIM assignment

`GET /v1/esim/sims/{esim_id}/assignment`

Returns the assigned person. An unassigned eSIM or a resource outside this workspace returns 404.

## Code samples

**CLI**

```sh
bird esim assignment get <esim-id>
```

Examples: [CLI](/docs/api/reference/get-esim-assignment.cli.md) · [MCP](/docs/api/reference/get-esim-assignment.mcp.md) · [cURL](/docs/api/reference/get-esim-assignment.curl.md)

## Example response `200`

```json
{
  "id": "eas_01krdgeqcxet5s7t44vh8rt9mg",
  "subscriber_id": "esub_01krdgeqcxet5s7t44vh8rt9mg",
  "esim_id": "esm_01krdgeqcxet5s7t44vh8rt9mg",
  "created_at": "2026-05-20T09:14:52Z",
  "updated_at": "2026-05-25T16:42:01Z"
}
```

## Path parameters

- `esim_id` (string): The esim id.

## Response body

- `id` (string, required)
- `subscriber_id` (string, required)
- `esim_id` (string, required)
- `created_at` (string, required)
- `updated_at` (string, required)

## Related resources

- [Should I use a Bird SDK or call the API directly?](/explained/platform/should-i-use-an-sdk-or-call-the-api-directly) (answer)
- [Build your first integration](/learn/paths/integration) (course)
- [Send your first email](/docs/get-started/send-your-first-email) (docs)

[Get an implementation brief](/learn/workspace?topic=api-basics)
